package intrinsic.flash.media;

public class Microphone extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.flash.media.SoundTransform soundTransform;
	public int index;
	public double silenceLevel;
	public boolean muted;
	public int rate;
	public double activityLevel;
	public String name;
	public double gain;
	public int silenceTimeout;
	public boolean useEchoSuppression;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.Array names;

	/** Class variables */

/** Contructors */
public Microphone() {
}


/** Static Methods */
public static native intrinsic.flash.media.Microphone getMicrophone();
public static native intrinsic.flash.media.Microphone getMicrophone(int arg0);

/** Methods */
public native void setLoopBack();
public native void setLoopBack(boolean arg0);
public native void setSilenceLevel(double arg0);
public native void setSilenceLevel(double arg0, int arg1);
public native void setUseEchoSuppression(boolean arg0);

}
